- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# MFnKeyframeDeltaScale Class Reference

# OpenMayaAnim - API module for animation | FunctionSet classes

Search for all occurrences

## Detailed Description

Function set for scaling in time.

This function set is used for keyframe deltas of type MFn::kKeyframeDeltaScale. These deltas are generated from scaling events. Particularly scaling on the time axis. Changes in value are recorded as a MFnKeyframeDeltaMove.

`#include <MFnKeyframeDeltaScale.h>`

Inheritance diagram for MFnKeyframeDeltaScale:
[legend]

List of all members.

## Public Member Functions
virtual MFn::Type | type () const
| Function set type.
virtual | ~MFnKeyframeDeltaScale ()
| Destructor.
| MFnKeyframeDeltaScale ()
| Default constructor.
| MFnKeyframeDeltaScale (MObject &object, MStatus *ReturnStatus=NULL)
| Constructor.
MTime | startTime (MStatus *ReturnStatus=NULL) const
| The start time of the scaling block.
MTime | endTime (MStatus *ReturnStatus=NULL) const
| The end time of the scaling block.
MTime | currentStartTime (MStatus *ReturnStatus=NULL) const
| The current scale time (after scaling has been performed).
MTime | currentEndTime (MStatus *ReturnStatus=NULL) const
| The current end time.
MTime | pivotTime (MStatus *ReturnStatus=NULL) const
| The pivot point of the scale (in time).
| MFnKeyframeDeltaScale (const MObject &object, MStatus *ReturnStatus=NULL)
| Constructor.
## Protected Member Functions
virtual const char * | className () const
| Class name.

## Constructor & Destructor Documentation

MFnKeyframeDeltaScale | ( | MObject & | object,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Constructor.

Class constructor that initializes the function set to the given MObject.

Parameters:

  [in] | object | The MObject to attach the function set to
  [out] | ReturnStatus | the return status

Status Codes:
  - MS::kSuccess if the function set is successfully attached
  - MS::kInvalidParameter if the MObject does not represent a valid Maya object or if the function set is not allowed to attach to this MObject

MFnKeyframeDeltaScale | ( | const MObject & | object,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Constructor.

Class constructor that initializes the function set to the given MObject.

Parameters:

  [in] | object | The MObject to attach the function set to
  [out] | ReturnStatus | the return status

Status Codes:
  - MS::kSuccess if the function set is successfully attached
  - MS::kInvalidParameter if the MObject does not represent a valid Maya object or if the function set is not allowed to attach to this MObject

## Member Function Documentation

MFn::Type type | ( |  | ) | const `[virtual]`

Search for all occurrences

Function set type.

Return the class type : MFn::kKeyframeDeltaScale.

Reimplemented from MFnKeyframeDelta.

const char * className | ( |  | ) | const `[protected, virtual]`

Search for all occurrences

Class name.

Return the class name : "MFnKeyframeDeltaScale".

Reimplemented from MFnKeyframeDelta.

MTime startTime | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

The start time of the scaling block.

Parameters:

  [out] | ReturnStatus | return code.

Returns:
  An MTime value

Status Codes:
  - MS::kSuccess The operation succeeded.
  - MS::kFailure An object error has occurred.

MTime endTime | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

The end time of the scaling block.

Parameters:

  [out] | ReturnStatus | return code.

Returns:
  An MTime value

Status Codes:
  - MS::kSuccess The operation succeeded.
  - MS::kFailure An object error has occurred.

MTime currentStartTime | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

The current scale time (after scaling has been performed).

Parameters:

  [out] | ReturnStatus | return code.

Returns:
  An MTime value

Status Codes:
  - MS::kSuccess The operation succeeded.
  - MS::kFailure An object error has occurred.

MTime currentEndTime | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

The current end time.

Parameters:

  [out] | ReturnStatus | return code.

Returns:
  An MTime value

Status Codes:
  - MS::kSuccess The operation succeeded.
  - MS::kFailure An object error has occurred.

MTime pivotTime | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

The pivot point of the scale (in time).

Parameters:

  [out] | ReturnStatus | return code.

Returns:
  An MTime value

Status Codes:
  - MS::kSuccess The operation succeeded.
  - MS::kFailure An object error has occurred.

MFnKeyframeDeltaScale MFnKeyframeDeltaScale MFnKeyframeDeltaScale MFnKeyframeDeltaScale MFnKeyframeDeltaScale MFnKeyframeDeltaScale MFnKeyframeDeltaScale MFnKeyframeDeltaScale MFnKeyframeDeltaScale MFnKeyframeDeltaScale
MFnKeyframeDeltaScale MFnKeyframeDeltaScale MFnKeyframeDeltaScale MFnKeyframeDeltaScale MFnKeyframeDeltaScale MFnKeyframeDeltaScale MFnKeyframeDeltaScale MFnKeyframeDeltaScale MFnKeyframeDeltaScale MFnKeyframeDeltaScale